<div class="example-container mat-elevation-z8">
  <table
    mat-table
    [dataSource]="simulationOutput"
    class="simulation-output-table"
  >
    <ng-container matColumnDef="parameter">
      <th mat-header-cell *matHeaderCellDef class="tableHeader">
        {{ "result.parameter" | translate }}
      </th>
      <td mat-cell *matCellDef="let simulationOutput">
        {{ "result." + simulationOutput.parameter | translate }}
      </td>
    </ng-container>
    <ng-container matColumnDef="value">
      <th mat-header-cell *matHeaderCellDef  class="tableHeader">
        {{ "result.value" | translate }}
      </th>
      <td mat-cell *matCellDef="let simulationOutput">
        {{ simulationOutput.value }}
      </td>
    </ng-container>
    <ng-container matColumnDef="unit" >
      <th mat-header-cell *matHeaderCellDef class="tableHeader">
        {{ "result.unit" | translate }}
      </th>
      <td mat-cell *matCellDef="let simulationOutput">
        {{ simulationOutput.unit }}
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
</div>
